# Uses of Enum Class
com.destroystokyo.paper.block.TargetBlockInfo.FluidMode

Packages that use TargetBlockInfo.FluidMode
Package
Description
com.destroystokyo.paper.block
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of TargetBlockInfo.FluidMode in com.destroystokyo.paper.block

Methods in com.destroystokyo.paper.block that return TargetBlockInfo.FluidMode
Modifier and Type
Method
Description
`static TargetBlockInfo.FluidMode`
TargetBlockInfo.FluidMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TargetBlockInfo.FluidMode[]`
TargetBlockInfo.FluidMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of TargetBlockInfo.FluidMode in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type TargetBlockInfo.FluidMode
Modifier and Type
Method
Description
`@Nullable Block`
LivingEntity.`getTargetBlock(int maxDistance, TargetBlockInfo.FluidMode fluidMode)`
Gets the block that the living entity has targeted
`BlockFace`
LivingEntity.`getTargetBlockFace(int maxDistance, TargetBlockInfo.FluidMode fluidMode)`
Gets the blockface of that block that the living entity has targeted
`TargetBlockInfo`
LivingEntity.`getTargetBlockInfo(int maxDistance, TargetBlockInfo.FluidMode fluidMode)`
Gets information about the block the living entity has targeted